# Project basic info
set(PROJECT_NAME "actuator")
set(BOARD_TYPE_CODE 99)
set(VERSION_MAJOR 0)
set(VERSION_MINOR 0)
set(VERSION_PATCH 1)
set(VERSION "V${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
string(TIMESTAMP BUILD_DATE "%Y-%m-%d")

# 编译条件（如IIC类型等）
# Example: HW-IIC_APP / HW-IIC_Bootloader
# set(BUILD_VARIANT "AutoDetectDriveCurrent")
# set(BUILD_VARIANT "HW-IIC")
set(BUILD_VARIANT "APP")

# 其它自定义宏
add_definitions(-DBUILD_VARIANT=${BUILD_VARIANT})
add_definitions(-DPROJECT_VERSION="${VERSION}")
add_definitions(-DBUILD_DATE="${BUILD_DATE}")